webdevqa.jp.net

Android St​​udio 3.0 Beta 1:解決に失敗しました:com.Android.support:multidex:1.0.2

Android St​​udio 3.0(Canary 5)からAndroid St​​udio 3.0(Beta 1)に移行し、最新のgradleに移行した後、つまり'com.Android.tools.build:gradle:3.0.0-beta1'

同期を段階的に実行しようとすると、以下のエラーが表示されます。

Failed to resolve: com.Android.support:multidex:1.0.2 
Failed to resolve: com.Android.support:multidex-instrumentation:1.0.2 

Android Studio 3.0 Canary 9-パッケージの解決に失敗しました を確認します。これは既にあるので、問題は解決しません。

    maven {
        url 'https://maven.google.com'
    }

私はbuild.gradleにしか持っていないので、multidex 1.0.2を求めていることにも驚いています

compile 'com.Android.support:multidex:1.0.1'

./gradlew app:dependencies | grep multidexを使用してチェックすると、以下のように失敗が表示されます(さまざまなフレーバーなどで)

+--- com.Android.support:multidex-instrumentation:1.0.2 FAILED
+--- com.Android.support:multidex:1.0.1
+--- com.Android.support:multidex:1.0.2 FAILED
+--- com.Android.support:multidex:1.0.1 -> 1.0.2 FAILED

multidex:1.0.2multidex-instrumentation:1.0.2の依存関係はどこから来たのですか?どうすればこの問題を解決できますか?

37
Elye

どうやら私の問題はこれを投稿する必要があることです:

maven {
    url 'https://maven.google.com'
}

allprojectsではなく、buildscriptで(問題がどこにあるのか微妙な違いが私を盲目にしています)、それは次のようになります:

allprojects {
    repositories {
        maven {
            url 'https://maven.google.com'
        }
    }
}

ポインターのM Dに感謝します!

93
Elye

私にとっての解決策は、google()アイテムを上に移動して、jcenter()の前にあることを確認することです。そして実際には、すべてのリポジトリの最初の場所にgoogle()を配置します。

22
blade

以下も追加する必要があります。

'com.Android.support:multidex:1.0.3'をコンパイルします

上記の行を追加した後、上記の答えに加えて私のために働いた

10
UVM
allprojects {
    repositories {
        google()
    }
}

代わりに私のために働いた

allprojects {
    repositories {
        maven {
            url 'https://maven.google.com'
        }
    }
}
6
Rahul Tiwari

最初にプロジェクトをクリーンアップしてから、再構築する必要があります。

ビルド---->プロジェクトのクリーン

ビルド---->プロジェクトのリビルド

6
Milad Moosavi

中国にいる場合は、使用してください

allprojects {
    respositories {
        google()
    }
}

代わりに

allprojects {
    respositories {
        maven {
            url 'https://maven.google.com'
        }
    }
}

理由を聞かないで、私はあなたに伝えたくありません。..GFWによって選択された ' https://maven.google.com 'かもしれません。

5
Shaode Lu

すべてのプロジェクトにgoogle()を追加すると問題が解決しました...

allprojects {
    repositories {
        jcenter()
        google()
    }
}
3
Shubham Soni

google()アイテムを上に移動して、jcenter()の前にあることを確認します。

repositories {
    jcenter()
    google()
}

上記の解決策のいずれも機能していない場合は、mavenLocal()を追加します。

allprojects {
    repositories {
        jcenter()
               maven {
            url 'https://maven.google.com'
        }

        mavenLocal()
        google()
    }
}
2
jeet.chanchawat

すべてのgradleの依存関係を最新バージョンに更新します..それだけです

0
shoaib mirza

私の問題はネットワーク接続でした。 jcenterに接続するためにvpnサーバーに接続する必要がありました

0